"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.invokeV2Javascript = exports.getWidgetV2EmbedCode = void 0;
const constants_1 = require("../constants");
const embed_params_1 = require("./embed.params");
const getUrlByEnv = (environment) => {
    switch (environment) {
        case "staging":
            return constants_1.STAGING_LEGACY_WIDGET_URL;
        case "production":
        default:
            return constants_1.PRODUCTION_LEGACY_WIDGET_URL;
    }
};
const getWidgetV2EmbedCode = (data) => {
    const dataParams = (0, embed_params_1.generateDataHTMLStringByParams)(data);
    return `
    <!-- Nosto Widget Embed Code (start) -->
    <div class="stackla-widget" style="width: 100%; overflow: hidden;"${dataParams}></div>
    <!-- Nosto Widget Embed Code (end) -->
    `;
};
exports.getWidgetV2EmbedCode = getWidgetV2EmbedCode;
const invokeV2Javascript = (environment) => {
    ;
    (function (d, id) {
        const el = d.scripts[d.scripts.length - 1].previousElementSibling;
        if (el)
            el.dataset.initTimestamp = new Date().getTime().toString();
        const t = d.createElement("script");
        t.src = `${getUrlByEnv(environment)}/media/js/widget/fluid-embed.min.js`;
        t.id = id;
        (d.getElementsByTagName("head")[0] || d.getElementsByTagName("body")[0]).appendChild(t);
    })(document, "stackla-widget-js");
};
exports.invokeV2Javascript = invokeV2Javascript;
//# sourceMappingURL=v2.js.map