"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EVENT_PRODUCT_NAVIGATION = exports.EVENT_TAGS_LOADED = exports.EVENT_SHARE_MENU_CLOSED = exports.EVENT_SHARE_MENU_OPENED = exports.EVENT_TILE_BG_IMG_RENDER_COMPLETE = exports.EVENT_TILE_BG_IMG_ERROR = exports.EVENT_TILE_EXPAND_CROSS_SELLERS_RENDERED = exports.EVENT_TILE_EXPAND_PROD_RECS_RENDERED = exports.EVENT_TILE_EXPAND_RENDERED = exports.EVENT_DISLIKE_CLICK = exports.EVENT_LIKE_CLICK = exports.EMAIL_TILE_CLICK = exports.EMAIL_TILE_LOAD = exports.EVENT_WIDGET_INIT_COMPLETE = exports.EVENT_TILES_UPDATED = exports.EVENT_ADD_TO_CART_FAILED = exports.EVENT_PRODUCTS_UPDATED = exports.EVENT_PRODUCT_PAGE_LOADED = exports.EVENT_CROSS_SELLERS_LOADED = exports.EVENT_GLOBALS_LOADED = exports.EVENT_JS_RENDERED = exports.EVENT_HTML_RENDERED = exports.EVENT_TILE_DATA_SET = exports.EVENT_TILE_METADATA_LOADED = exports.EVENT_SHOPSPOT_FLYOUT = exports.EVENT_SHARE_CLICK = exports.EVENT_PRODUCT_EVENT_USER_CLICK = exports.EVENT_TILE_EXPAND = exports.EVENT_PRODUCT_PINCLICK = exports.EVENT_PRODUCT_CLICK = exports.EVENT_HOVER = exports.EVENT_DISLIKE = exports.EVENT_LIKE = exports.EVENT_LOAD_MORE = exports.EVENT_LOAD = exports.EVENT_IMPRESSION = exports.EVENT_USER_CLICK = exports.EVENT_SHOPSPOT_ACTION_CLICK = exports.EVENT_SHOPSPOT_OPEN = exports.EVENT_SHOPSPOT_TOGGLE = exports.EVENT_SHOPSPOT_FLYOUT_EXPAND = exports.EVENT_BEFORE_EVENT_EXPANDED_TILE_OPEN = exports.EVENT_BEFORE_EXPANDED_TILE_CLOSE = exports.EVENT_EXPANDED_TILE_IMAGE_RESIZE = exports.EVENT_BEFORE_EXPANDED_TILE_IMAGE_RESIZE = exports.EVENT_EXPANDED_TILE_CLOSE = exports.EVENT_EXPANDED_TILE_OPEN = exports.EVENT_EXPANDED_TILE_IMAGE_LOAD = exports.EVENT_PRODUCT_HIDE_ICON_CLICK = exports.EVENT_PRODUCT_ACTION_CLICK = void 0;
exports.callbackDefaults = exports.allEvents = exports.EVENT_MOUSE_LEAVE = exports.EVENT_TILES_DEPLETED = void 0;
exports.loadListeners = loadListeners;
exports.registerTileExpandListener = registerTileExpandListener;
exports.registerDefaultClickEvents = registerDefaultClickEvents;
exports.registerCrossSellersLoadListener = registerCrossSellersLoadListener;
exports.registerGenericEventListener = registerGenericEventListener;
exports.registerShareMenuOpenedListener = registerShareMenuOpenedListener;
exports.registerShareMenuClosedListener = registerShareMenuClosedListener;
exports.registerProductsUpdatedListener = registerProductsUpdatedListener;
const tile_lib_1 = require("../libs/tile.lib");
exports.EVENT_PRODUCT_ACTION_CLICK = "productActionClick";
exports.EVENT_PRODUCT_HIDE_ICON_CLICK = "productHideIconClick";
exports.EVENT_EXPANDED_TILE_IMAGE_LOAD = "expandedTileImageLoad";
exports.EVENT_EXPANDED_TILE_OPEN = "expandedTileOpen";
exports.EVENT_EXPANDED_TILE_CLOSE = "expandedTileClose";
exports.EVENT_BEFORE_EXPANDED_TILE_IMAGE_RESIZE = "beforeExpandedTileImageResize";
exports.EVENT_EXPANDED_TILE_IMAGE_RESIZE = "expandedTileImageResize";
exports.EVENT_BEFORE_EXPANDED_TILE_CLOSE = "beforeExpandedTileClose";
exports.EVENT_BEFORE_EVENT_EXPANDED_TILE_OPEN = "beforeExpandedTileOpen";
exports.EVENT_SHOPSPOT_FLYOUT_EXPAND = "shopspotFlyoutExpand";
exports.EVENT_SHOPSPOT_TOGGLE = "shopspotToggle";
exports.EVENT_SHOPSPOT_OPEN = "shopspotOpen";
exports.EVENT_SHOPSPOT_ACTION_CLICK = "shopspotActionClick";
exports.EVENT_USER_CLICK = "userClick";
exports.EVENT_IMPRESSION = "impression";
exports.EVENT_LOAD = "load";
exports.EVENT_LOAD_MORE = "moreLoad";
exports.EVENT_LIKE = "like";
exports.EVENT_DISLIKE = "dislike";
exports.EVENT_HOVER = "tileHover";
exports.EVENT_PRODUCT_CLICK = "productClick";
exports.EVENT_PRODUCT_PINCLICK = "pinClick";
exports.EVENT_TILE_EXPAND = "tileExpand";
exports.EVENT_PRODUCT_EVENT_USER_CLICK = "userClick";
exports.EVENT_SHARE_CLICK = "shareClick"; //GA Specific. Needs cleanup
exports.EVENT_SHOPSPOT_FLYOUT = "shopspotFlyout";
exports.EVENT_TILE_METADATA_LOADED = "tileMetadataLoaded";
exports.EVENT_TILE_DATA_SET = "tileDataSet";
exports.EVENT_HTML_RENDERED = "htmlRendered";
exports.EVENT_JS_RENDERED = "jsRendered";
exports.EVENT_GLOBALS_LOADED = "globalsLoaded";
exports.EVENT_CROSS_SELLERS_LOADED = "crossSellersLoaded";
exports.EVENT_PRODUCT_PAGE_LOADED = "productPageLoaded";
exports.EVENT_PRODUCTS_UPDATED = "productsUpdated";
exports.EVENT_ADD_TO_CART_FAILED = "addToCartFailed";
exports.EVENT_TILES_UPDATED = "tilesUpdated";
exports.EVENT_WIDGET_INIT_COMPLETE = "widgetInitComplete";
exports.EMAIL_TILE_LOAD = "emailTileLoad";
exports.EMAIL_TILE_CLICK = "emailTileClick";
exports.EVENT_LIKE_CLICK = "likeClick";
exports.EVENT_DISLIKE_CLICK = "dislikeClick";
exports.EVENT_TILE_EXPAND_RENDERED = "expandedTileRendered";
exports.EVENT_TILE_EXPAND_PROD_RECS_RENDERED = "tileExpandProductRecsRendered";
exports.EVENT_TILE_EXPAND_CROSS_SELLERS_RENDERED = "tileExpandCrossSellersRendered";
exports.EVENT_TILE_BG_IMG_ERROR = "tileBgImageError";
exports.EVENT_TILE_BG_IMG_RENDER_COMPLETE = "tileBgImgRenderComplete";
exports.EVENT_SHARE_MENU_OPENED = "shareMenuOpened";
exports.EVENT_SHARE_MENU_CLOSED = "shareMenuClosed";
exports.EVENT_TAGS_LOADED = "tagsLoaded";
exports.EVENT_PRODUCT_NAVIGATION = "productNavigation";
exports.EVENT_TILES_DEPLETED = "tilesDepleted";
exports.EVENT_MOUSE_LEAVE = "mouseLeave";
exports.allEvents = [
    exports.EVENT_PRODUCT_ACTION_CLICK,
    exports.EVENT_PRODUCT_HIDE_ICON_CLICK,
    exports.EVENT_EXPANDED_TILE_IMAGE_LOAD,
    exports.EVENT_EXPANDED_TILE_OPEN,
    exports.EVENT_EXPANDED_TILE_CLOSE,
    exports.EVENT_BEFORE_EXPANDED_TILE_IMAGE_RESIZE,
    exports.EVENT_EXPANDED_TILE_IMAGE_RESIZE,
    exports.EVENT_BEFORE_EXPANDED_TILE_CLOSE,
    exports.EVENT_BEFORE_EVENT_EXPANDED_TILE_OPEN,
    exports.EVENT_SHOPSPOT_FLYOUT_EXPAND,
    exports.EVENT_SHOPSPOT_TOGGLE,
    exports.EVENT_SHOPSPOT_OPEN,
    exports.EVENT_SHOPSPOT_ACTION_CLICK,
    exports.EVENT_USER_CLICK,
    exports.EVENT_IMPRESSION,
    exports.EVENT_LOAD,
    exports.EVENT_LOAD_MORE,
    exports.EVENT_LIKE,
    exports.EVENT_DISLIKE,
    exports.EVENT_HOVER,
    exports.EVENT_PRODUCT_CLICK,
    exports.EVENT_PRODUCT_PINCLICK,
    exports.EVENT_TILE_EXPAND,
    exports.EVENT_PRODUCT_EVENT_USER_CLICK,
    exports.EVENT_SHARE_CLICK,
    exports.EVENT_SHOPSPOT_FLYOUT,
    exports.EVENT_TILE_METADATA_LOADED,
    exports.EVENT_TILE_DATA_SET,
    exports.EVENT_HTML_RENDERED,
    exports.EVENT_JS_RENDERED,
    exports.EVENT_GLOBALS_LOADED,
    exports.EVENT_CROSS_SELLERS_LOADED,
    exports.EVENT_PRODUCT_PAGE_LOADED,
    exports.EVENT_PRODUCTS_UPDATED,
    exports.EVENT_ADD_TO_CART_FAILED,
    exports.EVENT_TILES_UPDATED,
    exports.EVENT_WIDGET_INIT_COMPLETE,
    exports.EMAIL_TILE_LOAD,
    exports.EMAIL_TILE_CLICK,
    exports.EVENT_LIKE_CLICK,
    exports.EVENT_DISLIKE_CLICK,
    exports.EVENT_TILE_EXPAND_RENDERED,
    exports.EVENT_TILE_EXPAND_PROD_RECS_RENDERED,
    exports.EVENT_TILE_EXPAND_CROSS_SELLERS_RENDERED,
    exports.EVENT_TILE_BG_IMG_ERROR,
    exports.EVENT_TILE_BG_IMG_RENDER_COMPLETE,
    exports.EVENT_SHARE_MENU_OPENED,
    exports.EVENT_SHARE_MENU_CLOSED,
    exports.EVENT_TAGS_LOADED,
    exports.EVENT_TILES_DEPLETED,
    exports.EVENT_MOUSE_LEAVE
];
exports.callbackDefaults = {
    onResize: [],
    onLoad: [],
    onTileExpand: [],
    onTileClose: [],
    onTileRendered: [],
    onTilesUpdated: [],
    onCrossSellersRendered: [],
    onWidgetInitComplete: [],
    onTileBgImgRenderComplete: [],
    onTileBgImageError: [],
    onProductActionClick: [],
    onProductHideIconClick: [],
    onExpandedTileImageLoad: [],
    onExpandedTileOpen: [],
    onExpandedTileClose: [],
    onBeforeExpandedTileImageResize: [],
    onBeforeExpandedTileClose: [],
    onBeforeExpandedTileOpen: [],
    onShopspotFlyoutExpand: [],
    onShopspotToggle: [],
    onShopspotOpen: [],
    onShopspotActionClick: [],
    onUserClick: [],
    onShareClick: [],
    onImpression: [],
    onLoadMore: [],
    onLike: [],
    onDislike: [],
    onHover: [],
    onMouseLeave: [],
    onProductClick: [],
    onProductPinClick: [],
    onProductUserClick: [],
    onShopspotFlyout: [],
    onTileMetadataLoaded: [],
    onTileDataSet: [],
    onHtmlRendered: [],
    onJsRendered: [],
    onGlobalsLoaded: [],
    onProductPageLoaded: [],
    onProductsUpdated: [],
    onAddToCartFailed: [],
    onEmailTileLoad: [],
    onEmailTileClick: [],
    onLikeClick: [],
    onDislikeClick: [],
    onTileExpandProductRecsRendered: [],
    onTileExpandCrossSellersRendered: [],
    onShareMenuOpened: [],
    onShareMenuClosed: []
};
/**
 * Registers event listeners for the widget.
 * @param settings
 */
function loadListeners(sdk, settings) {
    const { onLoad, onTileExpand, onTileClose, onCrossSellersRendered, onTilesUpdated, onWidgetInitComplete, onTileBgImgRenderComplete, onTileBgImageError, onResize, onLoadMore, onProductActionClick, onProductHideIconClick, onExpandedTileImageLoad, onExpandedTileOpen, onExpandedTileClose, onBeforeExpandedTileImageResize, onBeforeExpandedTileClose, onBeforeExpandedTileOpen, onShopspotFlyoutExpand, onShopspotToggle, onShopspotOpen, onShopspotActionClick, onUserClick, onShareClick, onImpression, onLike, onDislike, onHover, onProductClick, onProductPinClick, onProductUserClick, onShopspotFlyout, onTileMetadataLoaded, onTileDataSet, onHtmlRendered, onJsRendered, onGlobalsLoaded, onProductPageLoaded, onProductsUpdated, onAddToCartFailed, onEmailTileLoad, onEmailTileClick, onLikeClick, onDislikeClick, onTileExpandProductRecsRendered, onTileExpandCrossSellersRendered, onShareMenuOpened, onShareMenuClosed, onMouseLeave } = settings.callbacks;
    onLoad?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_LOAD, event));
    onTileExpand?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_TILE_EXPAND_RENDERED, event));
    onTileClose?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_EXPANDED_TILE_CLOSE, event));
    onCrossSellersRendered?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_CROSS_SELLERS_LOADED, event));
    onWidgetInitComplete?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_WIDGET_INIT_COMPLETE, event));
    onTileBgImgRenderComplete?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_TILE_BG_IMG_RENDER_COMPLETE, event));
    onTileBgImageError?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_TILE_BG_IMG_ERROR, event));
    // @ts-expect-error Event is not compatible with resize fn
    onResize?.forEach(event => window.addEventListener("resize", event));
    onTilesUpdated?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_TILES_UPDATED, event));
    onLoadMore?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_LOAD_MORE, event));
    onProductActionClick?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_PRODUCT_ACTION_CLICK, event));
    onProductHideIconClick?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_PRODUCT_HIDE_ICON_CLICK, event));
    onExpandedTileImageLoad?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_EXPANDED_TILE_IMAGE_LOAD, event));
    onExpandedTileOpen?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_EXPANDED_TILE_OPEN, event));
    onExpandedTileClose?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_EXPANDED_TILE_CLOSE, event));
    onBeforeExpandedTileImageResize?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_BEFORE_EXPANDED_TILE_IMAGE_RESIZE, event));
    onBeforeExpandedTileClose?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_BEFORE_EXPANDED_TILE_CLOSE, event));
    onBeforeExpandedTileOpen?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_BEFORE_EVENT_EXPANDED_TILE_OPEN, event));
    onShopspotFlyoutExpand?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_SHOPSPOT_FLYOUT_EXPAND, event));
    onShopspotToggle?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_SHOPSPOT_TOGGLE, event));
    onShopspotOpen?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_SHOPSPOT_OPEN, event));
    onShopspotActionClick?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_SHOPSPOT_ACTION_CLICK, event));
    onUserClick?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_USER_CLICK, event));
    // TODO - Clean this with not required for GA
    onShareClick?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_SHARE_CLICK, event));
    onImpression?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_IMPRESSION, event));
    onLike?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_LIKE, event));
    onDislike?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_DISLIKE, event));
    onHover?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_HOVER, event));
    onProductClick?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_PRODUCT_CLICK, event));
    onProductPinClick?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_PRODUCT_PINCLICK, event));
    onProductUserClick?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_PRODUCT_EVENT_USER_CLICK, event));
    onShopspotFlyout?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_SHOPSPOT_FLYOUT, event));
    onTileMetadataLoaded?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_TILE_METADATA_LOADED, event));
    onTileDataSet?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_TILE_DATA_SET, event));
    onHtmlRendered?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_HTML_RENDERED, event));
    onJsRendered?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_JS_RENDERED, event));
    onGlobalsLoaded?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_GLOBALS_LOADED, event));
    onProductPageLoaded?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_PRODUCT_PAGE_LOADED, event));
    onProductsUpdated?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_PRODUCTS_UPDATED, event));
    onAddToCartFailed?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_ADD_TO_CART_FAILED, event));
    onEmailTileLoad?.forEach(event => registerGenericEventListener(sdk, exports.EMAIL_TILE_LOAD, event));
    onEmailTileClick?.forEach(event => registerGenericEventListener(sdk, exports.EMAIL_TILE_CLICK, event));
    onLikeClick?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_LIKE_CLICK, event));
    onDislikeClick?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_DISLIKE_CLICK, event));
    onTileExpandProductRecsRendered?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_TILE_EXPAND_PROD_RECS_RENDERED, event));
    onTileExpandCrossSellersRendered?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_TILE_EXPAND_CROSS_SELLERS_RENDERED, event));
    onShareMenuOpened?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_SHARE_MENU_OPENED, event));
    onShareMenuClosed?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_SHARE_MENU_CLOSED, event));
    onMouseLeave?.forEach(event => registerGenericEventListener(sdk, exports.EVENT_MOUSE_LEAVE, event));
}
function registerTileExpandListener(sdk, fn = () => { }) {
    sdk.addEventListener(exports.EVENT_TILE_EXPAND, (event) => {
        const tileId = event.detail.data.tileId;
        fn(sdk, tileId);
    });
}
function registerDefaultClickEvents(sdk) {
    const tiles = sdk.querySelectorAll(".ugc-tile");
    if (!tiles) {
        throw new Error("Failed to find tiles UI element");
    }
    tiles.forEach((tile) => {
        const tileDataId = tile.getAttribute("data-id");
        if (!tileDataId) {
            throw new Error("Failed to find tile data ID");
        }
        const url = sdk.getTileById(tileDataId)?.original_url;
        if (!url) {
            console.warn("Failed to find tile URL", tile);
            return;
        }
        tile.onclick = e => {
            (0, tile_lib_1.handleTileClick)(sdk, e, url);
        };
    });
}
function registerCrossSellersLoadListener(sdk, fn = () => { }) {
    sdk.addEventListener(exports.EVENT_TILE_EXPAND_CROSS_SELLERS_RENDERED, (event) => {
        const customEvent = event;
        const tileId = customEvent.detail.data;
        const target = customEvent.detail.target;
        fn(tileId, target);
    });
}
function registerGenericEventListener(sdk, eventName, fn) {
    sdk.addEventListener(eventName, fn);
}
function registerShareMenuOpenedListener(sdk, fn = () => { }) {
    sdk.addEventListener(exports.EVENT_SHARE_MENU_OPENED, (event) => {
        const customEvent = event;
        const sourceId = customEvent.detail.sourceId;
        fn(sourceId);
    });
}
function registerShareMenuClosedListener(sdk, fn = () => { }) {
    sdk.addEventListener(exports.EVENT_SHARE_MENU_CLOSED, (event) => {
        const customEvent = event;
        const sourceId = customEvent.detail.sourceId;
        fn(sourceId);
    });
}
function registerProductsUpdatedListener(sdk, fn = () => { }) {
    sdk.addEventListener(exports.EVENT_PRODUCTS_UPDATED, (event) => {
        const customEvent = event;
        const tileId = customEvent.detail.tileId;
        const target = customEvent.detail.target;
        fn(sdk, tileId, target);
    });
}
//# sourceMappingURL=index.js.map