"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.injectFontFaces = injectFontFaces;
function injectFontFaces(root, fontFaces) {
    if (!fontFaces || fontFaces.length === 0) {
        return;
    }
    const generateFontFaceCSS = (fontFace) => {
        const src = fontFace.src.map(s => `url("${s.url}") format("${s.format}")`).join(", ");
        const fontDisplay = fontFace.fontDisplay ? `font-display: ${fontFace.fontDisplay};` : "";
        return `
      @font-face {
        font-family: ${fontFace.fontFamily};
        src: ${src};
        font-weight: ${fontFace.fontWeight};
        font-style: ${fontFace.fontStyle};
        ${fontDisplay}
      }
    `;
    };
    const style = document.createElement("style");
    const fontFacesCSS = fontFaces.map(generateFontFaceCSS).join("\n");
    style.innerHTML = fontFacesCSS;
    root.appendChild(style);
}
//# sourceMappingURL=fonts.js.map