"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const handlebars_1 = __importDefault(require("handlebars"));
const _1 = require(".");
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
function getHelpers() {
    const files = fs_1.default.readdirSync(path_1.default.join(__dirname, "helpers"));
    return files
        .filter(it => it.endsWith(".helper.ts"))
        .map(file => file.substring(0, file.indexOf(".")))
        .map(file => {
        const words = file.split("-");
        const wordsCamelCase = words.map((word, index) => {
            word = word.toLowerCase();
            if (index === 0) {
                return word;
            }
            return word.slice(0, 1).toUpperCase() + word.slice(1);
        });
        return wordsCamelCase.join("");
    });
}
describe("loadJoinHelper", () => {
    beforeAll(() => {
        (0, _1.loadHelpers)(handlebars_1.default);
    });
    it("all helpers should be loaded", () => {
        const helperNames = getHelpers();
        const loadedHelpers = handlebars_1.default.helpers;
        const activeHelpers = Object.keys(loadedHelpers)
            .filter(key => helperNames.includes(key))
            .filter(matchedKey => loadedHelpers[matchedKey]).length;
        expect(activeHelpers).toBe(helperNames.length);
    });
});
//# sourceMappingURL=helpers.spec.js.map