"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const handlebars_1 = __importDefault(require("handlebars"));
const if_auto_play_video_helper_1 = require("./if-auto-play-video.helper");
describe("loadIfAutoPlayVideoHelper", () => {
    beforeAll(() => {
        (0, if_auto_play_video_helper_1.loadIfAutoPlayVideoHelper)(handlebars_1.default);
    });
    it("should render the block if the media is video and config is enabled", () => {
        const template = handlebars_1.default.compile(`
      {{#ifAutoPlayVideo media auto_play_video}}
        Equal
      {{else}}
        Not Equal
      {{/ifAutoPlayVideo}}
    `);
        const result = template({ media: "video", auto_play_video: true });
        expect(result.trim()).toBe("Equal");
    });
    it("should render the inverse block if auto_play_video is not enabled", () => {
        const template = handlebars_1.default.compile(`
      {{#ifAutoPlayVideo media auto_play_video}}
        Equal
      {{else}}
        Not Equal
      {{/ifAutoPlayVideo}}
    `);
        const result = template({ media: "video", auto_play_video: false });
        expect(result.trim()).toBe("Not Equal");
    });
    it("should render the inverse block if media is not video", () => {
        const template = handlebars_1.default.compile(`
      {{#ifAutoPlayVideo media auto_play_video}}
        Equal
      {{else}}
        Not Equal
      {{/ifAutoPlayVideo}}
    `);
        const result = template({ media: "image", auto_play_video: true });
        expect(result.trim()).toBe("Not Equal");
    });
});
//# sourceMappingURL=if-auto-play-video.helper.spec.js.map