"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const handlebars_1 = __importDefault(require("handlebars"));
const if_has_public_tags_helper_1 = require("./if-has-public-tags.helper");
describe("hasPublicTagsHelper", () => {
    beforeAll(() => {
        (0, if_has_public_tags_helper_1.loadIfHasPublicTags)(handlebars_1.default);
    });
    it("should render the public tags item because public tags exist", () => {
        const template = handlebars_1.default.compile(`
      {{#ifHasPublicTags tile}}
        Display
      {{else}}
        Not Display
      {{/ifHasPublicTags}}
    `);
        const result = template({
            tile: {
                tags_extended: [
                    {
                        publicly_visible: 1
                    }
                ]
            }
        });
        expect(result.trim()).toBe("Display");
    });
    it("should not render the public tags item because public tags do not exist", () => {
        const template = handlebars_1.default.compile(`
      {{#ifHasPublicTags tile}}
        Display
      {{else}}
        Not Display
      {{/ifHasPublicTags}}
    `);
        const result = template({
            tile: {
                publicly_visible: 0
            }
        });
        expect(result.trim()).toBe("Not Display");
    });
});
//# sourceMappingURL=if-has-public-tags.helper.spec.js.map