"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const handlebars_1 = __importDefault(require("handlebars"));
const join_helper_1 = require("./join.helper");
describe("loadJoinHelper", () => {
    beforeAll(() => {
        (0, join_helper_1.loadJoinHelper)(handlebars_1.default);
    });
    it("should concatenate simple strings", () => {
        const template = handlebars_1.default.compile(`
      {{join a b}}
    `);
        const result = template({ a: "data-", b: "value" });
        expect(result.trim()).toBe("data-value");
    });
    it("should concatenate expression strings", () => {
        const hbsTemplate = handlebars_1.default.compile(`
      {{#tiles}}
        {{join "data-" @index}}
      {{/tiles}}
    `);
        const context = {
            tiles: [
                {
                    id: "1234",
                    media: "video",
                    title: "Video Title"
                },
                {
                    id: "5678",
                    media: "image",
                    title: "Image Title"
                }
            ]
        };
        const output = hbsTemplate(context);
        const expectedOutput = `data-0data-1`;
        expect(output.replaceAll(/[\r\n\s]+/g, "")).toEqual(expectedOutput);
    });
});
//# sourceMappingURL=join.helper.spec.js.map