"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getExpandedSlides = getExpandedSlides;
exports.ExpandedTiles = ExpandedTiles;
const tile_template_1 = require("./tile.template");
const __1 = require("../../");
function getExpandedSlides(sdk, tiles) {
    return tiles.map(tile => ((0, __1.createElement)("div", { class: "ugc-tile swiper-slide", "data-id": tile.id, "data-yt-id": tile.youtube_id || "", "data-tiktok-id": tile.tiktok_id || "" },
        (0, __1.createElement)(tile_template_1.ExpandedTile, { tile: tile, sdk: sdk }))));
}
function getExpandedTiles(sdk) {
    return (0, __1.createElement)("div", { class: "swiper-wrapper ugc-tiles" }, getExpandedSlides(sdk, sdk.getTiles()));
}
function ExpandedTiles(sdk) {
    const { show_nav } = sdk.getExpandedTileConfig();
    const navigationArrowsEnabled = show_nav;
    return ((0, __1.createElement)("div", { class: "expanded-tile-wrapper", variation: "default" },
        (0, __1.createElement)("div", { class: "expanded-tile-header" },
            (0, __1.createElement)("a", { class: "exit", href: "javascript:void(0);" },
                (0, __1.createElement)("span", { class: "widget-icon close-white" })),
            (0, __1.createElement)("a", { class: "back", href: "javascript:void(0);" },
                (0, __1.createElement)("span", { class: "widget-icon back-arrow" }))),
        (0, __1.createElement)("div", { class: "swiper swiper-expanded" }, getExpandedTiles(sdk)),
        (0, __1.createElement)("div", { class: "swiper-expanded-button-prev swiper-button-prev btn-lg", style: { display: navigationArrowsEnabled ? "flex" : "none" } },
            (0, __1.createElement)("span", { class: "chevron-left", alt: "Previous arrow" })),
        (0, __1.createElement)("div", { class: "swiper-expanded-button-next swiper-button-next btn-lg", style: { display: navigationArrowsEnabled ? "flex" : "none" } },
            (0, __1.createElement)("span", { class: "chevron-right", alt: "Next arrow" }))));
}
//# sourceMappingURL=base.template.js.map