"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadProductsSwiper = loadProductsSwiper;
const events_1 = require("../../../events");
const swiper_extension_1 = require("../../extensions/swiper/swiper.extension");
function loadProductsSwiper(sdk, tileId, target) {
    if (target) {
        const swiperCrossSell = target.querySelector(".swiper-expanded-product-recs");
        if (swiperCrossSell) {
            (0, swiper_extension_1.initializeSwiper)(sdk, {
                id: `expanded-product-recs-${tileId}`,
                mode: "expanded-product-recs",
                widgetSelector: swiperCrossSell,
                paramsOverrides: {
                    slidesPerView: "auto",
                    spaceBetween: 2,
                    mousewheel: {
                        enabled: false
                    },
                    grabCursor: false,
                    on: {
                        navigationNext: () => {
                            sdk.triggerEvent(`${events_1.EVENT_PRODUCT_NAVIGATION}:${tileId}`, {
                                direction: "next"
                            });
                        },
                        navigationPrev: (swiper) => {
                            sdk.triggerEvent(`${events_1.EVENT_PRODUCT_NAVIGATION}:${tileId}`, {
                                direction: "previous"
                            });
                            swiper.update();
                        }
                    }
                }
            });
        }
    }
}
//# sourceMappingURL=products.swiper.js.map