type TiktokMessageType = "play" | "pause" | "mute" | "unMute" | "seekTo";
/**
 * Post tiktok messages to play a video/audio
 *
 * @param { Window } frameWindow - tiktok frame contentWindow
 */
export declare function playTiktokVideo(frameWindow: Window): void;
/**
 * Post tiktok messages to pause a video/audio and reset the current video progress
 *
 * @param { Window } frameWindow - tiktok frame contentWindow
 */
export declare function pauseTiktokVideo(frameWindow: Window): void;
export declare function muteTiktokVideo(frameWindow: Window): void;
export declare function unMuteTiktokVideo(frameWindow: Window): void;
/**
 *
 * @param { Window } frameWindow - tiktok frame contentWindow
 * @param { TiktokMessageType } type - message type to be posted ("play" | "pause" | "mute" | "unMute" | "seekTo")
 * @param { number } value - position of media progress. 0 to reset progress
 */
export declare function postTiktokMessage(frameWindow: Window, type: TiktokMessageType, value?: number): void;
export {};
//# sourceMappingURL=tiktok-message.d.ts.map