"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.enableTileImages = enableTileImages;
exports.loadAllUnloadedTiles = loadAllUnloadedTiles;
function enableTileContent(slide) {
    slide.querySelector(".tile-loading")?.classList.add("hidden");
    slide.querySelector(".icon-section.hidden")?.classList.remove("hidden");
}
function enableTileImage(slide) {
    const tileImage = slide.querySelector(".tile-image-wrapper > img");
    if (tileImage) {
        if (tileImage.complete) {
            enableTileContent(slide);
        }
        tileImage.onload = () => enableTileContent(slide);
        tileImage.onerror = () => slide.remove();
    }
}
function enableTileImages(wrapper) {
    const elements = wrapper.querySelectorAll(".ugc-tile:has(.icon-section.hidden)");
    elements.forEach(element => enableTileImage(element));
}
function loadAllUnloadedTiles(sdk) {
    const tileWrapper = sdk.querySelector(".ugc-tiles");
    if (tileWrapper) {
        enableTileImages(tileWrapper);
    }
}
//# sourceMappingURL=loader.extension.js.map