type GlobalEventHandlersMapping = {
    [K in keyof GlobalEventHandlersEventMap as `on${Capitalize<K>}`]?: (event: GlobalEventHandlersEventMap[K]) => void;
};
declare global {
    namespace JSX {
        type Element = HTMLElement;
        type IntrinsicElements = {
            [key: string]: Record<string, unknown> & GlobalEventHandlersMapping;
        };
    }
}
type Props = Record<string, unknown>;
type Type = string | ((props: Props) => HTMLElement);
type Child = unknown;
type Children = Array<Child>;
/**
 * Create an HTML element based on the given JSX type, props and children
 */
export declare function createElement(type: Type, props: Props, ...children: Children): HTMLElement;
/**
 * Create a HTML fragment based on the given JSX children
 */
export declare function createFragment(arg: {
    children: Children;
} | null): DocumentFragment;
export declare function sanitizeHtmlBasic(input: string): string;
export {};
//# sourceMappingURL=jsx-html.d.ts.map