import { STAGING_UI_URL, PRODUCTION_UI_URL } from "../constants";
import { generateDataHTMLStringByParams } from "./embed.params";
const getUrlByEnv = (environment) => {
    switch (environment) {
        case "staging":
            return STAGING_UI_URL;
        default:
            return PRODUCTION_UI_URL;
    }
};
const getWidgetV3EmbedCode = (data) => {
    const dataParams = generateDataHTMLStringByParams(data);
    return `<div id="ugc-widget"${dataParams}></div>`;
};
const invokeV3Javascript = async (environment) => {
    const widget = await import(`${getUrlByEnv(environment)}/core.esm.js`);
    widget.init();
};
export { getWidgetV3EmbedCode, invokeV3Javascript };
//# sourceMappingURL=v3.js.map