import { ExpandedTile } from "./tile.template";
import { createElement } from "../../";
export function getExpandedSlides(sdk, tiles) {
    return tiles.map(tile => (createElement("div", { class: "ugc-tile swiper-slide", "data-id": tile.id, "data-yt-id": tile.youtube_id || "", "data-tiktok-id": tile.tiktok_id || "" },
        createElement(ExpandedTile, { tile: tile, sdk: sdk }))));
}
function getExpandedTiles(sdk) {
    return createElement("div", { class: "swiper-wrapper ugc-tiles" }, getExpandedSlides(sdk, sdk.getTiles()));
}
export function ExpandedTiles(sdk) {
    const { show_nav } = sdk.getExpandedTileConfig();
    const navigationArrowsEnabled = show_nav;
    return (createElement("div", { class: "expanded-tile-wrapper", variation: "default" },
        createElement("div", { class: "expanded-tile-header" },
            createElement("a", { class: "exit", href: "javascript:void(0);" },
                createElement("span", { class: "widget-icon close-white" })),
            createElement("a", { class: "back", href: "javascript:void(0);" },
                createElement("span", { class: "widget-icon back-arrow" }))),
        createElement("div", { class: "swiper swiper-expanded" }, getExpandedTiles(sdk)),
        createElement("div", { class: "swiper-expanded-button-prev swiper-button-prev btn-lg", style: { display: navigationArrowsEnabled ? "flex" : "none" } },
            createElement("span", { class: "chevron-left", alt: "Previous arrow" })),
        createElement("div", { class: "swiper-expanded-button-next swiper-button-next btn-lg", style: { display: navigationArrowsEnabled ? "flex" : "none" } },
            createElement("span", { class: "chevron-right", alt: "Next arrow" }))));
}
//# sourceMappingURL=base.template.js.map