import { LookupAttr } from "../../extensions/swiper/swiper.extension";
import { type Swiper } from "swiper";
import { ISdk } from "../../../types";
export declare function getTileIdFromSlide(swiper: Swiper, index: number): string | null;
/**
 * Triggered when an inline tile is clicked
 * Adds background overlay for expanded tile and initializes swiper for expanded tile
 *
 * @param { string } tileId - the id of clicked inline tile and the tile that will be displayed on expanded tile load
 */
export declare function onTileExpand(sdk: ISdk, tileId: string): void;
/**
 * Triggered after all slides in expanded tiles are loaded
 * Setup onload and onerror events for media sources (video/youtube/tiktok)
 */
export declare function onTileRendered(event: CustomEvent): void;
/**
 * Reduces visibility of swiper controls when share menu is opened
 */
export declare function reduceBackgroundControlsVisibility(sdk: ISdk, sourceId: string): void;
/**
 * Resets visibility of swiper controls when share menu is closed
 */
export declare function resetBackgroundControlsVisibility(sdk: ISdk, sourceId: string): void;
/**
 * Checks if the supplied tile element is currently active in the slide
 *
 * @param { Element } tile - tile element to check
 * @param { HTMLElement } widgetSelector - the container of the swiper element
 * @param { LookupAttr } lookupAttr - additional attribute lookup options for finding the first slide to load
 * @param { LookupAttr.name } lookupAttr.name - name of the attribute for e.g. data-yt-id or data-tiktok-id
 * @param { LookupAttr.value } lookupAttr.value - required value of the attribute
 * @returns true if the supplied tile element is the currently displayed element. false, otherwise.
 */
export declare function isActiveTile(sdk: ISdk, tile: Element, widgetSelector: HTMLElement, lookupAttr?: LookupAttr): boolean;
/**
 * Triggered when expanded tile is closed
 * Destroys swiper instance for expanded tile and removes background overlay
 */
export declare function onTileClosed(event: CustomEvent): void;
//# sourceMappingURL=expanded-swiper.loader.d.ts.map