import { EVENT_PRODUCT_NAVIGATION } from "../../../events";
import { initializeSwiper } from "../../extensions/swiper/swiper.extension";
export function loadProductsSwiper(sdk, tileId, target) {
    if (target) {
        const swiperCrossSell = target.querySelector(".swiper-expanded-product-recs");
        if (swiperCrossSell) {
            initializeSwiper(sdk, {
                id: `expanded-product-recs-${tileId}`,
                mode: "expanded-product-recs",
                widgetSelector: swiperCrossSell,
                paramsOverrides: {
                    slidesPerView: "auto",
                    spaceBetween: 2,
                    mousewheel: {
                        enabled: false
                    },
                    grabCursor: false,
                    on: {
                        navigationNext: () => {
                            sdk.triggerEvent(`${EVENT_PRODUCT_NAVIGATION}:${tileId}`, {
                                direction: "next"
                            });
                        },
                        navigationPrev: (swiper) => {
                            sdk.triggerEvent(`${EVENT_PRODUCT_NAVIGATION}:${tileId}`, {
                                direction: "previous"
                            });
                            swiper.update();
                        }
                    }
                }
            });
        }
    }
}
//# sourceMappingURL=products.swiper.js.map