import type { Features, ISdk, Style } from "../types";
export declare function getTileSize(sdk: ISdk, settings?: Features["tileSizeSettings"]): string;
export declare function getTileWidthBySizeString(sizeString: string, fallbacks?: Features["tileWidthSettings"]): string;
export declare function getTileWidth(sdk: ISdk, settings?: Features["tileWidthSettings"]): string;
export declare function getTileSizeByWidget(sdk: ISdk, tileSizeSettings?: Features["tileSizeSettings"]): {
    "--tile-size": string;
    "--tile-size-unitless": string;
};
export declare function getTileWidthByWidget(sdk: ISdk, tileWidthSettings?: Features["tileWidthSettings"]): {
    "--tile-width": string;
};
export declare function trimHashValuesFromObject(obj: Style): Record<keyof Style, string>;
/**
 * @description Get the CSS variables for the widget
 * @params tileSizeSettings - Custom tile size settings, small, medium, large
 */
export default function getCSSVariables(sdk: ISdk, features?: Partial<Features>): string;
//# sourceMappingURL=css-variables.d.ts.map